rte_security_ipsec_xform(3)

NAME
rte_security_ipsec_xform

SYNOPSIS

#include <rte_security.h>

  Data Fields

uint32_t spi
uint32_t salt
struct rte_security_ipsec_sa_options options
enum rte_security_ipsec_sa_direction direction
enum rte_security_ipsec_sa_protocol proto
enum rte_security_ipsec_sa_mode mode
struct rte_security_ipsec_tunnel_param tunnel
struct rte_security_ipsec_lifetime life
uint32_t replay_win_sz
union {
} esn
struct rte_security_ipsec_udp_param udp

Detailed Description

IPsec security association configuration data.

This structure contains data required to create an IPsec SA security session.

Definition at line 301 of file rte_security.h.

Field Documentation

  uint32_t spi
SA security parameter index

Definition at line 302 of file rte_security.h.

  uint32_t salt
SA salt

Definition at line 304 of file rte_security.h.

  struct rte_security_ipsec_sa_options options
various SA options

Definition at line 306 of file rte_security.h.

  enum rte_security_ipsec_sa_direction direction
IPSec SA Direction - Egress/Ingress

Definition at line 308 of file rte_security.h.

  enum rte_security_ipsec_sa_protocol proto
IPsec SA Protocol - AH/ESP

Definition at line 310 of file rte_security.h.

  enum rte_security_ipsec_sa_mode mode
IPsec SA Mode - transport/tunnel

Definition at line 312 of file rte_security.h.

  struct rte_security_ipsec_tunnel_param tunnel
Tunnel parameters, NULL for transport mode

Definition at line 314 of file rte_security.h.

  struct rte_security_ipsec_lifetime life
IPsec SA lifetime

Definition at line 316 of file rte_security.h.

  uint32_t replay_win_sz
Anti replay window size to enable sequence replay attack handling. replay checking is disabled if the window size is 0.

Definition at line 318 of file rte_security.h.

  union { ... } esn
Extended Sequence Number

  struct rte_security_ipsec_udp_param udp
UDP parameters, ignored when udp_encap option not specified

Definition at line 330 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.